POST Create Job
https://autopilot.slapshot.ai/api/jobs
Create a new job in the Slapshot Autopilot system.
Use this endpoint to schedule a job by providing asset details and processing instructions in the JSON body.
Required fields in the request body typically include:
- Asset information (e.g., file URL, type)
- Service or processing parameters
Optional fields:
- Job metadata (any key value pair)
- Asset metadata (any key value pair)
Make sure to set the ‘API_KEY’ variable for authentication. The response will include the job ID, which can be used to check the job status later.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
Body raw (json)
json
{
"assets": [
{
"source_path": "autopilot_reel/102825/Chocolate.mov",
// Atleast one of the roto, tracking or depth_map service is required for each asset
"services": [
// Optional – Include to generate roto for this asset
{
"type": "roto",
"output_path": "output/110625"
},
// Optional – Include to generate tracking for this asset
{
"type": "tracking",
"output_path": "output/110625",
// Required when "type" is "tracking"
// Type: object
"metadata": {
// Type: float
// Optional
// Description: Working frames per second
// Default: asset's fps
"working_fps": 24.0,
// Type: float
// Optional
// Description: Lens focal length
// Default: Calculated during inference
// Unit: milli meters
"lens": 30.0,
// Type: float
// Optional (Required if sensor_height is provided)
// Description: Sensor width
// Default: Calculated during inference
// Unit: milli meters
"sensor_width": 24.0,
// Type: float
// Optional (Required if sensor_width is provided)
// Description: Sensor height
// Default: Calculated during inference
// Unit: milli meters
"sensor_height": 24.0,
// Type: float
// Optional
// Description: Estimated closest depth value
// Default: Calculated during inference
// Unit: meters
"estimated_closest_point": 1.0,
// Type: float
// Optional
// Description: Estimated farthest depth value
// Default: Calculated during inference
// Unit: meters
"estimated_farthest_point": 20.0,
// Type: string
// Allowed values: "True", "False"
// Optional
// Must be provided as a string, not a boolean
// Default: "False"
"calculate_distortion": "True",
// Type: string
// Allowed values: "True", "False"
// Optional
// Must be provided as a string, not a boolean
// Default: "False"
"fix_focal_length": "True",
// Type: string
// Allowed values: "True", "False"
// Optional
// Must be provided as a string, not a boolean
// Default: "True"
"fix_sensor_size": "True"
}
},
// Optional – Include to generate depth map for this asset
{
"type": "depth_map",
"output_path": "output/110625",
// Type: string
// Optional
// Allowed values: "jpg", "mov"
// Default: "jpg"
"export_type": "jpg"
}
],
"metadata": {
"project": "Project Chocolate",
"shot": "Chocolate_ch01"
}
},
{
"source_path": "autopilot_reel/102825/Cheering.mov",
// Atleast one of the roto, tracking or depth_map service is required for each asset
"services": [
// Optional – Include to generate roto for this asset
{
"type": "roto",
"output_path": "output/110625"
},
// Optional – Include to generate tracking for this asset
{
// If the optional "metadata" field is omitted, default inference values will be used
"type": "tracking",
"output_path": "output/110625"
},
// Optional – Include to generate depth map for this asset
{
// If the optional "export_type" field is omitted, "jpg" will be used by default
"type": "depth_map",
"output_path": "output/110625"
}
],
"metadata": {
"project": "Project Chocolate",
"shot": "Cheering_ch02"
}
}
],
"metadata": {
"project_id": 123,
"project": "Project Chocolate",
"submitter": "John Doe"
}
}
GET View Jobs
https://autopilot.slapshot.ai/api/jobs
Retrieve the status and details of all your jobs.
Use this endpoint to check the progress, status, and results of jobs you have created.
You can filter your jobs based on status, service and the metadata you provided while creating the job.
The response will include details of jobs matching the filters. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
PARAMS
| service | roto Filter by inference type. Choices: roto. |
| status | pending Filter by inference status. Choices: pending, running, completed, failed, cancelled. |
| metadata | {“project_id”: 123} JSON object with key-value pairs to filter by Job metadata |
| page | 2 Page number |
GET View Job
https://autopilot.slapshot.ai/api/jobs/{JOB_ID}
Retrieve the status and details of a specific job using its ID.
Use this endpoint to check the progress, status, and results of a job you have created.
The response will include job status, processing results, and any relevant metadata. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
DELETE Cancel Job
https://autopilot.slapshot.ai/api/jobs/{JOB_ID}
Cancel the processing of a specific job using its ID.
Use this endpoint to cancel all the inferences in a job you have created.
The response will be 200 (OK) if job was cancelled successfully. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
GET View Inferences
https://autopilot.slapshot.ai/api/inferences
Retrieve the status and details of all your inferences.
Use this endpoint to check the progress, status, and results of inferences you have created.
You can filter your inferences based on status, service and the asset metadata you provided while creating the job.
The response will include details of inferences matching the filters. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
PARAMS
| service | roto Filter by inference type. Choices: roto. |
| status | pending Filter by inference status. Choices: pending, running, completed, failed, cancelled. |
| metadata | {“project_id”: 123} JSON object with key-value pairs to filter by Job metadata |
| page | 2 Page number |
GET View Inference
https://autopilot.slapshot.ai/api/inferences/{INFERENCE_ID}
Retrieve the status and details of a specific inference using its ID.
Use this endpoint to check the progress, status, and results of a inference you have created.
The response will include inference status, processing results, and any relevant metadata. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |
DELETE Cancel Inference
https://autopilot.slapshot.ai/api/inferences/{INFERENCE_ID}
Cancel the processing of a specific inference using its ID.
Use this endpoint to cancel a specific inference in a job you have created.
The response will be 200 (OK) if inference was cancelled successfully. Ensure ‘API_KEY’ is set for authentication.
AUTHORIZATION API Key
| Key | x-api-key |
| Value |